## Uses of Class
Attribute

### Uses of Attribute in <Unnamed>

Methods in <Unnamed> that return types with arguments of type Attribute
`java.util.List<Attribute>` Class.`getAttributes()` Récupère tous les attributs de la classe.

Methods in <Unnamed> with parameters of type Attribute
`void` Class.`addAttribute(Attribute a)` Ajoute un attribut à la classe.

Constructor parameters in <Unnamed> with type arguments of type Attribute
Constructor and Description
`Class(java.lang.String name, int posX, int posY, int sizeX, int sizeY, int shape, java.util.ArrayList<Attribute> attributes, java.util.ArrayList<Method> methods)` Constructeur - Crée une instance de Class avec les paramètres déterminés.